//----------------------------------------------------------------------------
//  Description:  This file contains definitions specific to the LMP91000.
//  All the LMP91000 register addresses as well as some common masks for these registers 
//  are defined. 
//
//  MSP430/LMP91000 Interface Code Library v1.0
//
//   Vishy Natarajan
//   Texas Instruments Inc.
//   December 2011
//   Built with CCE Version: 4.2 and IAR Embedded Workbench Version:  5.3x
//------------------------------------------------------------------------------
// Change Log:
//------------------------------------------------------------------------------
// Version:  1.00
// Comments: Initial Release Version
//------------------------------------------------------------------------------
#ifndef HEADER_FILE_TI_LMP91000_H

#define HEADER_FILE_TI_LMP91000_H

/************************************************************
* TI LMP91000 REGISTER SET ADDRESSES
************************************************************/

#define LMP91000_I2C_Address                           (0x48)                  // Device Address

#define TI_LMP91000_STATUS_REG                         (0x00)                  /* Read only status register */
#define TI_LMP91000_LOCK_REG                           (0x01)                  /* Protection Register */
#define TI_LMP91000_TIACN_REG                          (0x10)                  /* TIA Control Register */
#define TI_LMP91000_REFCN_REG                          (0x11)                  /* Reference Control Register*/
#define TI_LMP91000_MODECN_REG                         (0x12)                  /* Mode Control Register */

#define TI_LMP91000_WRITE_LOCK                         (0x01)
#define TI_LMP91000_WRITE_UNLOCK                       (0x00)
#define TI_LMP91000_READY                              (0x01)
#define TI_LMP91000_NOT_READY                          (0x00)

#endif                                                        // HEADER_FILE_TI_LMP91000_H

