//******************************************************************************
//  Description:  This file contains functions that allow the MSP430 device to
//  access the I2C interface of the LMP91000.  There are multiple
//  instances of each function; the one to be compiled is selected by the
//  system variable TI_LMP91000_SER_INTF, defined in "TI_LMP91000_hardware_board.h".
//
//  MSP430/LMP91000 Interface Code Library v1.0
// 
//
//   Vishy Natarajan
//   Texas Instruments Inc.
//   Decemberr 2011
//   Built with CCE Version: 4.2 and IAR Embedded Workbench Version:  5.3x
//******************************************************************************
// Change Log:
//******************************************************************************
// Version:  1.00
// Comments: Initial Release Version
//******************************************************************************

void I2CSetup(uint8_t device_i2c_address);
void LMP91000_I2CWriteReg(uint8_t address , uint8_t data);
uint8_t LMP91000_I2CReadReg(uint8_t address);
